package com.pms.ocp.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;




@ApiModel(value = "服务分类新增关系dto")
@Data
public class OcpApiGroupDtos {


    @ApiModelProperty("主键ID")
    private String objId;

    @ApiModelProperty("分类编码")
    private String apiGroupCode;

    @ApiModelProperty("分类名称")
    private String apiGroupName;

    @ApiModelProperty("推广类型0统推，1自建")
    private long apiGroupPromotionType;

    @ApiModelProperty("提交人id")
    private String apiGroupUserId;

    @ApiModelProperty("提交人姓名")
    private String apiGroupUserName;

    @ApiModelProperty("创建时间")
    private Timestamp apiGroupCtime;


    @ApiModelProperty("修改时间")
    private Timestamp apiGroupMtime;
    @ApiModelProperty("分类版本")
    private String apiGroupVersion;

    @ApiModelProperty("显示顺序")
    private long apiGroupOrderNo;

    @ApiModelProperty("上级code")
    private String apiGroupPcode;
    @ApiModelProperty("服务请求体")
    private String apiReq;

    @ApiModelProperty("服务返回体")
    private String apiResp;

    @ApiModelProperty("服务地址")
    private String apiUrl;

    @ApiModelProperty("建设单位")
    private String apiUnit;

    @ApiModelProperty("服务所属公司")
    private String ownerCompanyCode;

    @ApiModelProperty("服务所属公司")
    private String ownerCompanyName;

    @ApiModelProperty("分类所属公司")
    private String apiGroupCompanyCode;

    @ApiModelProperty("是否删除0-否1-是")
    private long isDelete;

}
